<<

# Bugzilla::Comment

- NAME
- SYNOPSIS
- DESCRIPTION
  - Accessors

# NAME

Bugzilla::Comment - A Comment for a given bug

# SYNOPSIS

     use Bugzilla::Comment;

     my $comment = Bugzilla::Comment->new($comment_id);
     my $comments = Bugzilla::Comment->new_from_list($comment_ids);

# DESCRIPTION

Bugzilla::Comment represents a comment attached to a bug.

This implements all standard `Bugzilla::Object` methods. See Bugzilla::Object for more details.

## Accessors

`bug_id`

  `int` The ID of the bug to which the comment belongs.

`creation_ts`

  `string` The comment creation timestamp.

`body`

  `string` The body without any special additional text.

`work_time`

  `string` Time spent as related to this comment.

`is_private`

  `boolean` Comment is marked as private

`already_wrapped`

  If this comment is stored in the database word-wrapped, this will be `1`. `0` otherwise.

`author`

  Bugzilla::User who created the comment.

`count`

  `int` The position this comment is located in the full list of comments for a bug starting from 0.

`body_full`
  Description

    `string` Body of the comment, including any special text (such as "this bug was marked as a duplicate of...").

  Params
    `is_bugmail`

      `boolean`. `1` if this comment should be formatted specifically for bugmail.

    `wrap`

      `boolean`. `1` if the comment should be returned word-wrapped.

  Returns

    A string, the full text of the comment as it would be displayed to an end-user.

<<